`timescale 1ns / 1ps
`include "../proj/src/define/define.vh"

module tb();
//**********************************************************************
// --- Test Input/Output signal
//**********************************************************************	
reg	clk;
reg rstn;

wire        [31:0]  		  result;
wire overflow, nan,zero;
localparam CLK_PERIOD = 50.0;
//**********************************************************************
// --- Reset 
//**********************************************************************
initial begin
	rstn <= 1'b1;
	#(1.5*CLK_PERIOD) rstn <= 1'b0;
	#(CLK_PERIOD) rstn <= 1'b1;
end
//**********************************************************************	
// --- Clock Generate
//**********************************************************************
initial begin
	clk <= 1'b1;
	#(1.5*CLK_PERIOD) 
	forever #(CLK_PERIOD/2.0) clk = ~clk;
end
//**********************************************************************	
// --- Initial Block
//**********************************************************************
top top_tb(
    .clk(clk),       // 时钟信号
    .data_a(),       //
    .rstn(rstn),      // 复位信号（低电平有效）
    .overflow(overflow),  // 溢出标志
    .nan(nan),       // NaN标志
    .zero(zero),      // 零标志
    .result(result)     // 计算结果
);

endmodule